Cull unnecessary browser functionality for remote decisioning
Many features will no longer be needed when the remote newtab page does in-content tile grid decisioning.

This tracks the removal of these features.